<?

/*
 * Zub's Photo Gallery (ZPG) - A simple PHP photo gallery system
 * Copyright (C) 2004 David Zubillaga
 *
 * This file is part of Zub's Photo Gallery.
 *
 * Zub's Photo Gallery is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 *
 * See README, COPYING or http://www.gnu.org/licenses/gpl.txt for details
 */
 
require("global.inc.php");
require("functions.inc.php");
require_once("i18n.inc.php");

$head=standard_head();

$body="";

// Si tengo alguna variable POST es que se ha querido grabar una configuracin

if (isset($_POST['zpg_main_title'])){
	if (admin_login_ok()){
	
	// Cambiar el password !!!
	
	if(($_POST['pass']!="") && ($_POST['pass']==$_POST['pass2'])){
		$body.="<p align=\"center\">".T("Password changed!")."</p>";
		if ($handle_passwd=fopen("$zpg_passwd_file","w")){
			$line=$_SESSION['user'].":".md5($_POST['pass']);
			fputs($handle_passwd, $line);
			fclose($handle_passwd);
			chmod("$zpg_passwd_file", 0600);
		}
	}

	// No queremos guardar el password a partir de aqu
	
	unset($_POST['pass']);
	unset($_POST['pass2']);
	
	// Guardar opciones
	
	if ($handle_config=fopen("$zpg_config_file","w")){	
		foreach($_POST as $variable => $value) {
			//echo "$variable $value<br>";
			if ($value=="on"){
				$value="1";
			}else{			
				$value=stripslashes($value);
			}

			$$variable=$value;
			fputs($handle_config,"$variable=".$value."\n");
		}
		
		$zpg_title=$zpg_main_title;
		
		$onoff_variables=array("zpg_show_exif",
		"zpg_full_size_link",
		"zpg_chronologic_order_gal",
		"zpg_show_comment",
		"zpg_show_photo_comment",
		"zpg_show_photo_comment_edit",
		"zpg_show_admin_opts",
		"zpg_allow_public_comments",
		"zpg_gal_date",
		"zpg_show_w3c");
		
		foreach ($onoff_variables as $variable){
			if (!isset($_POST["$variable"])){
				$value="0";
				$$variable=$value;
				fputs($handle_config,"$variable=$value\n");
			}
		}
		fclose($handle_config);
	}
	}
	else{
		$body.="<p align=\"center\">".T("You have no rights to change options")."</p>";
	}
}

if($zpg_show_exif){$show_exif_checked=" checked";}	
if($zpg_full_size_link){$full_size_link_checked=" checked";}
if($zpg_chronologic_order_gal){$chronologic_order_gal_checked=" checked";}
if($zpg_show_admin_opts){$show_admin_opts_checked=" checked";}
if($zpg_show_comment){$show_comment_checked=" checked";}
if($zpg_show_photo_comment){$photo_comment_checked=" checked";}
if($zpg_show_photo_comment_edit){$photo_comment_edit_checked=" checked";}
if($zpg_allow_public_comments){$public_comments_checked=" checked";}

if($zpg_gal_date){$gal_date_checked=" checked";}
if($zpg_show_w3c){$show_w3c_checked=" checked";}


$ttitle=T("Title");
$tcharset=T("Charset");
$tkeywords=T("Keywords");
$tauthor=T("Author");
$tcss=T("CSS");
$tlogo=T("Logo");
$tlocale=T("Locale");
$tcopyrighttext=T("Copyright notice code");
$tcopyrightbutton=T("Copyright button code");

$tshowexif=T("Show EXIF");
$tfullsizelink=T("Show full size link");
$tchronologicordergal=T("Inverse date sorting");
$tshowadminopts=T("Show admin options");

$tgallerydate=T("Gallery/First photo date");
$tshoww3c=T("Show W3C buttons");

$tshowcomment=T("Show gallery comment");
$tshowphotocomment=T("Show photo comment");
$tshowphotocommentedit=T("Show photo comment edit box");
$tallowpubliccomments=T("Allow public comments");

$tgallerydirectory=T("Gallery Directory");
$ticonsdirectory=T("Icons Directory");
$tthumbnailsdirectory=T("Thumbnails directory");
$tthumbnailsprefix=T("Thumbnails prefix");
$twebsizeddirectory=T("Websized directory");
$twebsizedprefix=T("Websized prefix");
$tsave=T("Save");
$trestore=T("Restore");


$zpg_copyrighttext_html=htmlentities($zpg_copyrighttext, ENT_QUOTES);
$zpg_copyrightbutton_html=htmlentities($zpg_copyrightbutton, ENT_QUOTES);

$zpg_main_title_stripped=stripslashes(htmlentities($zpg_main_title));

$body.= <<< EOT
<form action="config.php" method="post">
	<table border="0" align="center" cellspacing="3">
	<tr>
	<td>
	<b><label for="title">$ttitle </label></b><br>
	<input type="text" id="title" name="zpg_main_title" size="20" value="$zpg_main_title_stripped">
	</td>
	
	<td>
	<b><label for="charset">$tcharset </label></b><br>
	<input type="text" id="charset" name="meta_charset" size="15" value="$meta_charset"><br>
	</td>
	
	<td colspan="2">
	<b><label for="keywords">$tkeywords </label></b><br>
	<input type="text" id="keywords" name="meta_keywords" size="50" value="$meta_keywords">
	</td>	
	</tr>

	<tr>
	<td>
	<b><label for="author">$tauthor </label></b><br>
	<input type="text" id="author" name="meta_author" size="25"  value="$meta_author">
	</td>
	
	<td>
	<b><label for="css">$tcss </label></b><br>
	<input type="text" id="css" name="zpg_css" size="15" value="$zpg_css">
	</td>

	<td>
	<b><label for="logo">$tlogo </label></b><br>
	<input type="text" id="logo" name="zpg_logo" size="15" value="$zpg_logo">
	</td>

	<td>
	<b><label for="locale">$tlocale </label></b><br>
	<input type="text" id="locale" name="zpg_locale" size="15" value="$zpg_locale">
	</td>
	</tr>
	<tr>
	
	<td colspan="2">
	<b><label for="zpg_copyrighttext">$tcopyrighttext </label></b><br>
	<input type="text" id="zpg_copyrighttext" name="zpg_copyrighttext" size="45" value="$zpg_copyrighttext_html">
	</td>
	
	<td colspan="2">
	<b><label for="zpg_copyrightbutton">$tcopyrightbutton </label></b><br>
	<input type="text" id="zpg_copyrightbutton" name="zpg_copyrightbutton" size="55" value="$zpg_copyrightbutton_html">
	</td>
	
	</tr>
	<tr>
	<td colspan="2">
	<b>
	<input type="checkbox" id="zpg_show_exif" name="zpg_show_exif"$show_exif_checked>
	<label for="zpg_show_exif">$tshowexif</label>
	<br>
	<input type="checkbox" id="zpg_full_size_link" name="zpg_full_size_link"$full_size_link_checked>
	<label for="zpg_full_size_link">$tfullsizelink</label>
	<br>
    <input type="checkbox" id="zpg_chronologic_order_gal" name="zpg_chronologic_order_gal"$chronologic_order_gal_checked>
	<label for="zpg_chronologic_order_gal">$tchronologicordergal</label>
	<br>
    <input type="checkbox" id="zpg_gal_date" name="zpg_gal_date"$gal_date_checked>
	<label for="zpg_gal_date">$tgallerydate</label>
	<br>
    <input type="checkbox" id="zpg_show_admin_opts" name="zpg_show_admin_opts"$show_admin_opts_checked>
	<label for="zpg_show_admin_opts">$tshowadminopts</label>
	</b>
	</td>
	<td colspan="2">
	<b>
    <input type="checkbox" id="zpg_show_comment" name="zpg_show_comment"$show_comment_checked>
	<label for="zpg_show_comment">$tshowcomment</label>
	<br>
    <input type="checkbox" id="zpg_show_photo_comment" name="zpg_show_photo_comment"$photo_comment_checked>
	<label for="zpg_show_photo_comment">$tshowphotocomment</label>
	<br>
    <input type="checkbox" id="zpg_show_photo_comment_edit" name="zpg_show_photo_comment_edit"$photo_comment_edit_checked>
	<label for="zpg_show_photo_comment_edit">$tshowphotocommentedit</label>
	<br>
    <input type="checkbox" id="zpg_allow_public_comments" name="zpg_allow_public_comments"$public_comments_checked>
	<label for="zpg_allow_public_comments">$tallowpubliccomments</label>
	<br>
    <input type="checkbox" id="zpg_show_w3c" name="zpg_show_w3c"$show_w3c_checked>
	<label for="zpg_show_w3c">$tshoww3c</label>
	</b>
	</td>

	</tr>
	<tr>
	<td colspan="2">
	<b><label for="galdir">$tgallerydirectory </label></b><br>
	<input type="text" id="galdir" name="zpg_gals_dir" value="$zpg_gals_dir" size="15"><br>

	<b><label for="gfxdir">$ticonsdirectory </label></b><br>
	<input type="text" id="gfxdir" name="zpg_gfx_dir" value="$zpg_gfx_dir" size="15"><br>

	<b><label for="thumbsdir">$tthumbnailsdirectory </label></b><br>
	<input type="text" id="thumbsdir" name="zpg_thumbs_dir" value="$zpg_thumbs_dir" size="15"><br>
	</td>
	<td colspan="2">
	<b><label for="thumbsprefix">$tthumbnailsprefix </label></b><br>
	<input type="text" id="thumbsprefix" name="zpg_thumbs_prefix" value="$zpg_thumbs_prefix" size="15"><br>

	<b><label for="webdir">$twebsizeddirectory </label></b><br>
	<input type="text" id="webdir" name="zpg_web_dir" value="$zpg_web_dir" size="15"><br>

	<b><label for="webprefix">$twebsizedprefix </label></b><br>
	<input type="text" id="webprefix" name="zpg_web_prefix" value="$zpg_web_prefix" size="15"><br>
	<td>
	</tr>
EOT;

if (admin_login_ok()){

$tpasschange=T("Password change (Enter it twice)");

// Cambio de password
$body.= <<< EOT
<tr>
<td colspan="4">
<div align="center">
<b><label for="pass">$tpasschange</label></b><br>
<input type="password" id="pass" name="pass" value="" size=15>
<input type="password" id="pass2" name="pass2" value="" size=15> 
</div>
</td>
</tr>
EOT;

$body.= <<< EOT
<tr>
<td colspan="4">
<div align="center">
<input type="submit"value="$tsave"> <input type="reset" value="$trestore">
</div>
</td>
</tr>
EOT;
}

$body.="</table>\n</form>\n";
$foot=standard_foot();

$zpg_title.=" - ".T("Configuration");

require("layout-default.inc.php");
?>
